// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.commands;

import edu.wpi.first.wpilibj.shuffleboard.Shuffleboard;
import edu.wpi.first.wpilibj.shuffleboard.ShuffleboardTab;
import edu.wpi.first.wpilibj2.command.CommandBase;
import frc.robot.subsystems.BasePilotable;

public class Gyro extends CommandBase {
  ShuffleboardTab teb = Shuffleboard.getTab("teb");
  private BasePilotable basePilotable;
  /** Creates a new Gyro. */
  public Gyro(BasePilotable basePilotable) {
    teb.add("angleGyro", 0.1);
    teb.add("vitesseGyro", 0.1);
    this.basePilotable = basePilotable;
    // Use addRequirements() here to declare subsystem dependencies.
    addRequirements(basePilotable);
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {}

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {
  if(basePilotable.getpitch()>4) 
   { 
    basePilotable.drive(0.3*basePilotable.getpitch()/12, 0, 0);
   }
   else if(basePilotable.getpitch()<-4) 
   { 
    basePilotable.drive(0.3*basePilotable.getpitch()/12, 0, 0);
    basePilotable.drive(0.3*basePilotable.getpitch()/15, 0, 0);
   }
   else if(basePilotable.getpitch()<-4) 
   { 
    basePilotable.drive(0.3*basePilotable.getpitch()/15, 0, 0);
   }
   else
   {
     basePilotable.drive(0, 0, 0); 
   }
}

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {}

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return false;
  }
}
